
Installer - Feature #27932

Add support for Foreman Remote Execution Cockpit

09/24/2019 03:38 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 1.24.0   

Difficulty:  Fixed in Releases: 1.24.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/760,

https://github.com/theforeman/foreman-i

nstaller/pull/401

  

Description

This is a subpackage of REX that adds cockpit integration. It works by running a local cockpit and proxying requests to it over

websockets.

Associated revisions

Revision dc929952 - 10/24/2019 02:36 PM - Ewoud Kohl van Wijngaarden

Fixes #27932 - Add REX Cockpit support (#760)

Revision a4d3f8ac - 10/29/2019 01:05 PM - Ewoud Kohl van Wijngaarden

Refs #27932 - Expose foreman::plugin::remote_execution::cockpit

History

#1 - 09/24/2019 03:41 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/760 added

#2 - 10/24/2019 02:36 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#3 - 10/24/2019 02:41 PM - Ewoud Kohl van Wijngaarden

- Target version set to 1.24.0

- Triaged changed from No to Yes

- Fixed in Releases 1.24.0 added

- Fixed in Releases deleted (2.0.0)

#4 - 10/24/2019 03:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|dc929952f9c2c2e58613bd3269c5d0ef47b1c46e.

#5 - 10/29/2019 01:06 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/401 added
